Bug 126612 - World-writeable files in openoffice.org-i18n
Summary: World-writeable files in openoffice.org-i18n
Status: CLOSED DUPLICATE of bug 127474
Alias: None
Product: Fedora
Classification: Fedora
Component: openoffice.org (Show other bugs)
(Show other bugs)
Version: 2
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Dan Williams
QA Contact:
URL:
Whiteboard:
Keywords: Security
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2004-06-23 19:08 UTC by Valdis Kletnieks
Modified: 2007-11-30 22:10 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-28 07:32:50 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Valdis Kletnieks 2004-06-23 19:08:57 UTC
Description of problem:
There are world-writable files in the openoffice.org-i18n RPM

Version-Release number of selected component (if applicable):
openoffice.org-i18n-1.1.1-4 through openoffice.org-i18n-1.1.1-6 (at least)

How reproducible:
rpm2cpio openoffice.org-i18n-1.1.1-6.i386.rpm | cpio -itv | grep
'^-.......w'



Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Listed as 'security' because it's at least theoretically possible to
plant a maliciously altered .aff or .dic file to cause an OpenOffice
crash or possibly buffer overruns/code execution, etc....

Comment 1 Dan Williams 2004-07-19 16:07:09 UTC

*** This bug has been marked as a duplicate of 127474 ***

Comment 2 Caolan McNamara 2004-10-28 07:32:50 UTC
close as duplicate


Note You need to log in before you can comment on or make changes to this bug.